#ifndef CIETER_REPO
#define CIETER_REPO

/*
 * Represents & managing a group of repositories, each containing one or more
 * arch-repositories.
 */
typedef struct CtrRepoGroup {
    char *repos_dir;
    char *pkg_dir;
    char *default_arch;
} CtrRepoGroup;

/*
 * Initialize a new CieterRepoGroup
 */
CtrRepoGroup *ctr_repo_group_init();

/*
 * Add a new package to the given repository by providing its path.
 */
void ctr_repo_group_add_from_path(CtrRepoGroup *crg, const char *repo, const char *path);

#endif
